Subject: Re: linking .res file - rc compiler
From: [email-masked] (Bartlee Anderson)

23 Jan 1998 20:04:28 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Christoph Kukulies <[email-masked]>
Cc: [email-masked]

I use windres (you should get the updated copies either for mingw or
cygwin)
windres file.rc file.o
then link the object file
You have to do the following in your makefile
sed s/{/BEGIN/
sed s/}/END/
and watch out for mixed case on things like Font
it should be FONT
CONTROL and a few other things aren't supported, but most stuff is.
Christoph Kukulies wrote:

> I'm seeking for a way to get .rc files compiled and linked
> with the gnu-win32/b18 or coolview tools.
>
> I tried the mstools\samples\generic example to no avail
> although I got the Petzold hellowin working.
>
> There seem to be different approaches (windres, what is rcl? where
> do I find it?) All seem to have their limitations.
>
> Is MS Platform SDK a choice?
>
> --
> Chris Christoph P. U. Kukulies [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

--
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".